
Redmine - Patch #1997

Filtering by watcher and any personnel - patch

2008-10-07 00:49 - Mariusz Olejnik

Status: Closed Start date: 2008-10-07

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Description

Filtering by watcher and any personel (author or assigned to or watcher).

Look at attached screen for preview.

Enjoy it.

Related issues:

Related to Redmine - Feature #846: Add "Watched by me" to issue filter Closed 2008-03-13

History

#1 - 2008-10-07 02:31 - Mischa The Evil

- Assignee deleted (Jean-Philippe Lang)

- Target version deleted (0.8)

+1, great patch!

Changed properties whilst having regard to 'the rules'...

#2 - 2008-10-07 12:50 - Mariusz Olejnik

+1, it is working in my production redmine

#3 - 2008-10-10 01:58 - Eric Davis

Mariusz Olejnik wrote:

Filtering by watcher and any personel (author or assigned to or watcher).

Look at attached screen for preview.

 So personnel would be: the author, the assigned to user, or someone watching the issue?

#4 - 2008-10-10 13:36 - Mariusz Olejnik

Eric Davis wrote:

So personnel would be: the author, the assigned to user, or someone watching the issue?

 yes

#5 - 2009-02-15 19:16 - Jean-Philippe Lang

Watched issues filter added in r2456.

#6 - 2011-02-01 02:43 - Ladislav Nesnera

- Status changed from New to Resolved

- % Done changed from 0 to 100

It seems be resolved. I'm closing ;?)

#7 - 2011-03-25 16:50 - Etienne Massip

- Status changed from Resolved to Closed
#8 - 2013-09-10 15:08 - Dani Leni

It is not working for 2.1.2 . :(

#9 - 2013-11-13 20:30 - Justin M

- File Screen Shot 2013-11-13 at 2.29.23 PM.png added

Not working for me either. The watcher filter is available, but no choice except for "me" is available.

Environment:

  Redmine version                2.3.2.stable.12132

  Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

  Rails version                  3.2.13

  Database adapter               Mysql2

#10 - 2013-11-15 08:44 - Mariusz Olejnik

Feature added in r2456 (http://www.redmine.org/projects/redmine/repository/revisions/2456/entry/trunk/app/models/query.rb) using a different

approach.

#11 - 2013-12-01 12:59 - Toshi MARUYAMA

FTR: see #15347 and #8160.

Files

watcher_personnel_queryFilter.patch 18.4 KB 2008-10-06 Mariusz Olejnik

watcher_personnel_queryFilter.gif 8.17 KB 2008-10-06 Mariusz Olejnik

Screen Shot 2013-11-13 at 2.29.23 PM.png 42.2 KB 2013-11-13 Justin M
